Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component
Interface AjaxClientBehavior

All Superinterfaces:
  javax.faces.component.behavior.Behavior, javax.faces.component.behavior.ClientBehavior

    public interface AjaxClientBehavior

extends javax.faces.component.behavior.ClientBehavior

Author:
  Anton Belevich interface for our ajax behaviors

Method Summary
`void` | `addAjaxBehaviorListener(javax.faces.event.AjaxBehaviorListener listener)`
`java.lang.Object` | `getData()`
`java.util.Collection<java.lang.String>` | `getExecute()`
`java.lang.String` | `getOnbeforedomupdate()`
`java.lang.String` | `getOnbeforesubmit()`
`java.lang.String` | `getOnbegin()`
`java.lang.String` | `getOncomplete()`
`java.lang.String` | `getOnerror()`
`java.lang.String` | `getQueueId()`
`java.util.Collection<java.lang.String>` | `getRender()`
`java.lang.String` | `getStatus()`
`boolean` | `isDisabled()`
`boolean` | `isLimitRender()`
`void` | `removeAjaxBehaviorListener(javax.faces.event.AjaxBehaviorListener listener)`
`void` | `setData(java.lang.Object data)`
`void` | `setDisabled(boolean disabled)`
`void` | `setExecute(java.util.Collection<java.lang.String> execute)`
`void` | `setLimitRender(boolean limitRender)`
`void` | `setOnbeforedomupdate(java.lang.String onbeforedomupdate)`
`void` | `setOnbeforesubmit(java.lang.String onbeforesubmit)`
`void` | `setOnbegin(java.lang.String onbegin)`
`void` | `setOncomplete(java.lang.String oncomplete)`
`void` | `setOnerror(java.lang.String onerror)`
`void` | `setQueueId(java.lang.String queueId)`
`void` | `setRender(java.util.Collection<java.lang.String> render)`
`void` | `setStatus(java.lang.String statusId)`

Methods inherited from interface javax.faces.component.behavior.ClientBehavior
`decode, getHints, getScript`

Methods inherited from interface javax.faces.component.behavior.Behavior
`broadcast`

Method Detail

### isLimitRender

    boolean isLimitRender()

### setLimitRender

    void setLimitRender(boolean limitRender)

### setExecute

    void setExecute(java.util.Collection<java.lang.String> execute)

### getExecute

    java.util.Collection<java.lang.String> getExecute()

### setRender

    void setRender(java.util.Collection<java.lang.String> render)

### getRender

    java.util.Collection<java.lang.String> getRender()

### isDisabled

    boolean isDisabled()

### setDisabled

    void setDisabled(boolean disabled)

### setQueueId

    void setQueueId(java.lang.String queueId)

### getQueueId

    java.lang.String getQueueId()

### setStatus

    void setStatus(java.lang.String statusId)

### getStatus

    java.lang.String getStatus()

### getOnerror

    java.lang.String getOnerror()

### setOnerror

    void setOnerror(java.lang.String onerror)

### getOncomplete

    java.lang.String getOncomplete()

### setOncomplete

    void setOncomplete(java.lang.String oncomplete)

### getOnbegin

    java.lang.String getOnbegin()

### setOnbegin

    void setOnbegin(java.lang.String onbegin)

### getOnbeforedomupdate

    java.lang.String getOnbeforedomupdate()

### setOnbeforedomupdate

    void setOnbeforedomupdate(java.lang.String onbeforedomupdate)

### getOnbeforesubmit

    java.lang.String getOnbeforesubmit()

### setOnbeforesubmit

    void setOnbeforesubmit(java.lang.String onbeforesubmit)

### getData

    java.lang.Object getData()

### setData

    void setData(java.lang.Object data)

### addAjaxBehaviorListener

    void addAjaxBehaviorListener(javax.faces.event.AjaxBehaviorListener listener)

### removeAjaxBehaviorListener

    void removeAjaxBehaviorListener(javax.faces.event.AjaxBehaviorListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.